function game()
{
	// Stress test only for Sphere Memory Leak test purposes.
	// MemLeakStressTest();

	// Deflate this very file to 'main.zjs', it will be created in ./other/
	// Compression is 'best'. DeflateFile does not add a header to the
	// compressed data, therefor, it cannot be opened by winzip and other
	// package programs.
	if( DeflateFile("../scripts/main.js","main.zjs",9) != 0 ){
		Abort("Could not deflate!");
	}
	
	// It can, however, be inflated:
	if( InflateFile("main.zjs", "inflated.js") !=0 ){
		Abort("Could not inflate!")
	}

	// Convert the string into a ByteArray
	var source = CreateByteArrayFromString( "Hello Worlds!");

	// Now compress the ByteArray with maximum compression
	var compressed = DeflateByteArray( source , 9);

	// Make sure we were able to compress it
	if( compressed !== null ){
		// Inflate it back
		var inflated = InflateByteArray(compressed);

		if(inflated !== null)
			Abort( CreateStringFromByteArray(inflated) );
		else
			Abort( "Decompression failed." );
	}else{
		Abort("Compression failed.")
	}

}




// Memory leak stress test
function MemLeakStressTest(){
	var source = CreateByteArrayFromString( "Hello Worlds!AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJJXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXYYYYYYYYYYYYYYYYYYYYYYYYYYYYENEEYEYYEYEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^GGG");
	var ba_z= DeflateByteArray( source , 9);
	
	for(i=0;i<100000;i++){

		ba = InflateByteArray(ba_z,100000);
//		if(typeof(ba) == 'object')
//			Abort(ba.length + CreateStringFromByteArray(ba))
//		else
//			Abort(ba)
		bz = DeflateByteArray(ba, 9);
		ba2 = InflateByteArray(ba_z);
		bz2 = DeflateByteArray(ba2, 9);
		GetSystemFont().drawText(10,10,i+":"+(ba))
		FlipScreen();
		GarbageCollect(1);
	}


}